Skip to main content
GET
/
auth
/
service-accounts
List Service Accounts
curl --request GET \
  --url https://api.dfns.io/auth/service-accounts \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "userInfo": {
        "username": "<string>",
        "name": "<string>",
        "userId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
        "credentialUuid": "<string>",
        "isActive": true,
        "isServiceAccount": true,
        "isRegistered": true,
        "permissionAssignments": [
          {
            "permissionName": "<string>",
            "permissionId": "pm-37vj4-jkr4l-lc9945spfftkne57",
            "assignmentId": "as-1vcmc-qrek0-6b4vii9pln60907e",
            "operations": [
              "<string>"
            ]
          }
        ],
        "orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
        "tenantId": "acct-24hka-dhili-9hgvdlvr1ohpibp4",
        "permissions": [
          "<string>"
        ]
      },
      "accessTokens": [
        {
          "dateCreated": "2023-04-14T20:41:28.715Z",
          "credId": "<string>",
          "isActive": true,
          "linkedUserId": "us-6b58p-r53sr-rlrd3l5cj3uc4ome",
          "linkedAppId": "ap-2a9in-tt2a1-983lho480p35ejd0",
          "name": "<string>",
          "orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
          "permissionAssignments": [
            {
              "permissionName": "<string>",
              "permissionId": "pm-37vj4-jkr4l-lc9945spfftkne57",
              "assignmentId": "as-1vcmc-qrek0-6b4vii9pln60907e",
              "operations": [
                "<string>"
              ]
            }
          ],
          "publicKey": "<string>",
          "tokenId": "to-202a0-cdo33-o65mbt6q758lvvnt",
          "accessToken": "<string>"
        }
      ]
    }
  ]
}

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Auth:ServiceAccounts:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

Response

200 - application/json

Success

items
object[]
required

Current page items.

Last modified on July 2, 2026